Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.janino
Class JaninoData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.janino.JaninoData

All Implemented Interfaces:
  StepDataInterface

    public class JaninoData

extends BaseStepData
implements StepDataInterface

Since:
  8-sep-2005
Author:
  Matt

Field Summary
`org.codehaus.janino.ExpressionEvaluator[]` | `expressionEvaluators`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`int[]` | `replaceIndex`
`static int` | `RETURN_TYPE_BIGDECIMAL`
`static int` | `RETURN_TYPE_BOOLEAN`
`static int` | `RETURN_TYPE_BYTE_ARRAY`
`static int` | `RETURN_TYPE_DATE`
`static int` | `RETURN_TYPE_INTEGER`
`static int` | `RETURN_TYPE_LONG`
`static int` | `RETURN_TYPE_NUMBER`
`static int` | `RETURN_TYPE_STRING`
`int[]` | `returnType`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`JaninoData()`

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### RETURN_TYPE_STRING

    public static final int RETURN_TYPE_STRING

See Also:
  Constant Field Values

### RETURN_TYPE_NUMBER

    public static final int RETURN_TYPE_NUMBER

See Also:
  Constant Field Values

### RETURN_TYPE_INTEGER

    public static final int RETURN_TYPE_INTEGER

See Also:
  Constant Field Values

### RETURN_TYPE_LONG

    public static final int RETURN_TYPE_LONG

See Also:
  Constant Field Values

### RETURN_TYPE_DATE

    public static final int RETURN_TYPE_DATE

See Also:
  Constant Field Values

### RETURN_TYPE_BIGDECIMAL

    public static final int RETURN_TYPE_BIGDECIMAL

See Also:
  Constant Field Values

### RETURN_TYPE_BYTE_ARRAY

    public static final int RETURN_TYPE_BYTE_ARRAY

See Also:
  Constant Field Values

### RETURN_TYPE_BOOLEAN

    public static final int RETURN_TYPE_BOOLEAN

See Also:
  Constant Field Values

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### returnType

    public int[] returnType

### replaceIndex

    public int[] replaceIndex

### expressionEvaluators

    public org.codehaus.janino.ExpressionEvaluator[] expressionEvaluators

Constructor Detail

### JaninoData

    public JaninoData()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD